wok rev 20771

cpige: add man page for cook.slitaz.org
author Pascal Bellard <pascal.bellard@slitaz.org>
date Wed Feb 13 16:56:42 2019 +0100 (20 months ago)
parents 4409599d86e8
children 42cc18501ba6
files cpige/receipt syslinux/stuff/iso2exe/README syslinux/stuff/iso2exe/init syslinux/stuff/iso2exe/init.custom syslinux/stuff/iso2exe/iso2exe.sh syslinux/stuff/iso2exe/taziso
line diff
     1.1 --- a/cpige/receipt	Wed Feb 13 16:56:43 2019 +0100
     1.2 +++ b/cpige/receipt	Wed Feb 13 16:56:42 2019 +0100
     1.3 @@ -38,9 +38,9 @@
     1.4  	cp -a $src/cpige $fs/usr/bin
     1.5  	cp -a $src/gui/cpigeGUI $fs/usr/bin
     1.6  
     1.7 -	mkdir -p $fs/usr/share/doc/cpige
     1.8 +	mkdir -p $fs/usr/share/doc/cpige $install/usr/share/man
     1.9  	cp -a $src/cpige.conf.example $fs/usr/share/doc/cpige
    1.10 -#	cp -a $src/cpige.1.gz $fs/usr/share/doc/cpige
    1.11 +	cp -a $src/cpige.1.gz $install/usr/share/man
    1.12  
    1.13  	# Because there is no label msgfmt in Makefile:
    1.14  	mkdir -p $fs/usr/share/locale/fr/LC_MESSAGES
     2.1 --- a/syslinux/stuff/iso2exe/README	Wed Feb 13 16:56:43 2019 +0100
     2.2 +++ b/syslinux/stuff/iso2exe/README	Wed Feb 13 16:56:42 2019 +0100
     2.3 @@ -44,11 +44,11 @@
     2.4  
     2.5  ISO9660 format begins with 32Kb unused (16 sectors). Some programs may use it:
     2.6  
     2.7 -- isolinux uses the first 512 bytes for hybrid iso boot (ISO image in a 
     2.8 +- isolinux uses the first 512 bytes for hybrid iso boot (ISO image in a
     2.9    partition).
    2.10  - tazlito stores extra flavor info at the 2nd Kb for 'tazlito iso2flavor'.
    2.11  
    2.12 -The iso2exe tool moves the isolinux boot sector, installs its own boot sector 
    2.13 +The iso2exe tool moves the isolinux boot sector, installs its own boot sector
    2.14  with a DOS .EXE header, and adds a WIN32 .EXE installer, a DOS .COM Linux
    2.15  loader, a floppy bootstrap and an initramfs in the end of the first 32Kb.
    2.16  
    2.17 @@ -73,7 +73,7 @@
    2.18      +-----------------+
    2.19      |  iso2exe boot + | Boot starts isohybrid (2), .EXE starts DOS .COM loader
    2.20      |  WIN32 PE .exe  | NT+ boot device creator / Win9x DOS .COM launcher.
    2.21 -  0 +-----------------+ 
    2.22 +  0 +-----------------+
    2.23  
    2.24  (1) The following script will show computed and stored md5 hash
    2.25  #!/bin/sh
     3.1 --- a/syslinux/stuff/iso2exe/init	Wed Feb 13 16:56:43 2019 +0100
     3.2 +++ b/syslinux/stuff/iso2exe/init	Wed Feb 13 16:56:42 2019 +0100
     3.3 @@ -70,7 +70,7 @@
     3.4  		--menu|--radiolist)
     3.5  			[ "$1" == "--menu" ] && shft=2 || shft=3
     3.6  			label=""
     3.7 -			[ "$2" ] && label="\n$2" 
     3.8 +			[ "$2" ] && label="\n$2"
     3.9  			shift 5
    3.10  			echo -e "$title$label\n0	Cancel" > /tmp/data
    3.11  			n=1
    3.12 @@ -372,19 +372,17 @@
    3.13  
    3.14  install()
    3.15  {
    3.16 -	$DIALOG --clear \
    3.17 -		--title " SliTaz UMSDOS way installation " \
    3.18 +	$DIALOG --clear --title " SliTaz UMSDOS way installation " \
    3.19  		--yes-label "Install" --yesno \
    3.20  "\nSliTaz will be installed in the subdirectory \\slitaz of the current
    3.21  DOS/Windows partition. You will see your files from /mnt/dos.\n\n
    3.22  You can start SliTaz with \\slitaz\\boot\\tazboot.exe\n\n
    3.23  To uninstall SliTaz, you have only to remove this directory.
    3.24  The file \\boot.ini or \\config.sys may be modified too.\n\n
    3.25 -SliTaz may run slowly on the 'UMSDOS way' installation due to the 
    3.26 +SliTaz may run slowly on the 'UMSDOS way' installation due to the
    3.27  posixovl filesystem. The 'TAZUSB way' installation runs faster.\n\n
    3.28  To do a traditional installation with disk partitioning,
    3.29 -start SliTaz Live with the 'SliTaz RAM boot' menu.\n
    3.30 -" 19 70
    3.31 +start SliTaz Live with the 'SliTaz RAM boot' menu.\n" 19 70
    3.32  	[ $? -eq 0 ] || return
    3.33  	doinstall || return
    3.34  	[ -x /mnt/slitaz/sbin/init ] || return
    3.35 @@ -395,8 +393,7 @@
    3.36  
    3.37  installtaz()
    3.38  {
    3.39 -	$DIALOG --clear \
    3.40 -		--title " SliTaz TAZUSB way installation " \
    3.41 +	$DIALOG --clear --title " SliTaz TAZUSB way installation " \
    3.42  		--yes-label "Install" --yesno \
    3.43  "\nSliTaz will be installed in the subdirectory \\slitaz of the current
    3.44  DOS/Windows partition. You will see your files from /mnt/dos.\n\n
    3.45 @@ -406,11 +403,10 @@
    3.46  The filesystem is loaded entirely into memory upon boot to
    3.47  increase responsiveness. Only /home lands on the hard disk.\n\n
    3.48  To do a traditional installation with disk partitioning,
    3.49 -start SliTaz Live with the 'SliTaz RAM boot' menu.\n
    3.50 -" 19 70
    3.51 +start SliTaz Live with the 'SliTaz RAM boot' menu.\n" 19 70
    3.52  	[ $? -eq 0 ] || return
    3.53  	doinstall tazusblike || return
    3.54 -	dotwait 
    3.55 +	dotwait
    3.56  	if [ -d /media/cdrom/fs ]; then
    3.57  		cp -a /media/cdrom/fs/. /
    3.58  	else
    3.59 @@ -433,13 +429,12 @@
    3.60  
    3.61  tazboot()
    3.62  {
    3.63 -	$DIALOG --clear \
    3.64 -		--title " SliTaz bootloader for DOS " \
    3.65 +	$DIALOG --clear --title " SliTaz bootloader for DOS " \
    3.66  		--yes-label "Install" --yesno \
    3.67  "\nThe file TAZBOOT.EXE will be created in the top directory. It supports
    3.68  any linux kernel, multiple initramfs, a kernel command line and
    3.69  an ISO image file loopback (retrieves files from an ISO file).\n\n
    3.70 -Usage: tazboot.exe [[@commands]|[kernel=<bzimage>] 
    3.71 +Usage: tazboot.exe [[@commands]|[kernel=<bzimage>]
    3.72  [initrd=<rootfs>[,<rootfs2>...]] [bootfrom=<isofile>] cmdline args ...]\n\n
    3.73  Defaults: tazboot @tazboot.cmd or tazboot kernel=bzImage auto\n\n\
    3.74  Examples for tazboot.cmd:\n\n\
    3.75 @@ -448,8 +443,7 @@
    3.76    initrd=boot/rootfs4.gz,boot/rootfs3.gz,boot/rootfs2.gz,boot/rootfs1.gz\n\
    3.77    rw root=/dev/null autologin\n\n\
    3.78    kernel=\\slitaz\\vmlinuz root=/dev/sda5 ro\n\n
    3.79 -Unlike GRUB4DOS, it doesn't require unfragmented ISO image files.\n
    3.80 -" 24 78
    3.81 +Unlike GRUB4DOS, it doesn't require unfragmented ISO image files.\n" 24 78
    3.82  	[ $? -eq 0 ] || return
    3.83  	gettazboot /mnt/tazboot.exe
    3.84  }
    3.85 @@ -459,9 +453,7 @@
    3.86  	dotwait "Checking files"
    3.87  	( cd /media/cdrom ; ${1:-md5sum -c md5sum*} | sort ) > /tmp/data
    3.88  	rm -f /tmp/wait
    3.89 -	$DIALOG --clear \
    3.90 -		--title " Checked files " \
    3.91 -		--textbox /tmp/data 24 78
    3.92 +	$DIALOG --clear --title " Checked files " --textbox /tmp/data 24 78
    3.93  	rm -f /tmp/data
    3.94  }
    3.95  
    3.96 @@ -484,22 +476,18 @@
    3.97  readme()
    3.98  {
    3.99  	gotcdfile "README*"
   3.100 -	$DIALOG --clear \
   3.101 -		--title " Readme " \
   3.102 -		--textbox $file 24 78
   3.103 +	$DIALOG --clear --title " Readme " --textbox $file 24 78
   3.104  }
   3.105  
   3.106  bootlog()
   3.107  {
   3.108 -	$DIALOG --clear \
   3.109 -		--title " Linux boot messages " \
   3.110 +	$DIALOG --clear --title " Linux boot messages " \
   3.111  		--textbox /tmp/dmesg 24 78
   3.112  }
   3.113  
   3.114  bzimage()
   3.115  {
   3.116 -	$DIALOG --clear \
   3.117 -		--title " Create linux.exe ? " \
   3.118 +	$DIALOG --clear --title " Create linux.exe ? " \
   3.119  		--yes-label "Install" --yesno \
   3.120  "\nLinux.exe launches the linux kernel under DOS (in real mode only).
   3.121  The cmdline arguments are supported except initrd=,
   3.122 @@ -512,13 +500,11 @@
   3.123  
   3.124  memtest()
   3.125  {
   3.126 -	$DIALOG --clear \
   3.127 -		--title " Create memtest.exe ? " \
   3.128 +	$DIALOG --clear --title " Create memtest.exe ? " \
   3.129  		--yes-label "Install" --yesno \
   3.130  "\nMemtest86 is a thorough, stand alone memory test for x86 architecture
   3.131  computers. BIOS based memory tests are a quick, cursory check and often
   3.132 -miss many of the failures that are detected by Memtest86.\n
   3.133 -" 12 70
   3.134 +miss many of the failures that are detected by Memtest86.\n" 12 70
   3.135  	[ $? -eq 0 ] && gotcdfile "memtest*" && cp $file /mnt/memtest.exe
   3.136  }
   3.137  
   3.138 @@ -556,49 +542,43 @@
   3.139  
   3.140  fdmemtest()
   3.141  {
   3.142 -	$DIALOG --clear \
   3.143 -		--title " Create a Memtest86 boot floppy " \
   3.144 +	$DIALOG --clear --title " Create a Memtest86 boot floppy " \
   3.145  		--yes-label "Create floppy" --yesno \
   3.146  "\nMemtest86 is a thorough, stand alone memory test for x86 architecture
   3.147  computers. BIOS based memory tests are a quick, cursory check and often
   3.148  miss many of the failures that are detected by Memtest86.\n\n
   3.149 -Please insert a blank disk in floppy drive.\n
   3.150 -" 12 70
   3.151 +Please insert a blank disk in floppy drive.\n" 12 70
   3.152  	[ $? -eq 0 ] && gotcdfile "memtest*" && mkfloppy $file
   3.153  }
   3.154  
   3.155  pxe()
   3.156  {
   3.157  	gotcdfile "?pxe*"
   3.158 -	$DIALOG --clear \
   3.159 -		--title " Create $(basename $file).exe ? " \
   3.160 +	$DIALOG --clear --title " Create $(basename $file).exe ? " \
   3.161  		--yes-label "Install" --yesno \
   3.162  "\nBoot your operating system from the internet and enjoy a full system
   3.163  working entirely in RAM with speed and stability in mind. The Linux Kernel
   3.164  and the complete SliTaz compressed root filesystem will be loaded into RAM
   3.165 -from the Web using PXE and HTTP protocols.\n
   3.166 -" 12 70
   3.167 +from the Web using PXE and HTTP protocols.\n" 12 70
   3.168  	[ $? -eq 0 ] || return
   3.169  	cp $file /mnt/$(basename $file).exe
   3.170  }
   3.171  
   3.172  fdpxe()
   3.173  {
   3.174 -	$DIALOG --clear \
   3.175 -		--title " Create a SliTaz Web boot floppy " \
   3.176 +	$DIALOG --clear --title " Create a SliTaz Web boot floppy " \
   3.177  		--yes-label "Create floppy" --yesno \
   3.178  "\nBoot your operating system from the internet and enjoy a full system
   3.179  working entirely in RAM with speed and stability in mind. The Linux Kernel
   3.180  and the complete SliTaz compressed root filesystem will be loaded into RAM
   3.181  from the Web using PXE and HTTP protocols.\n\n
   3.182 -Please insert a blank disk in floppy drive.\n
   3.183 -" 12 70
   3.184 +Please insert a blank disk in floppy drive.\n" 12 70
   3.185  	[ $? -eq 0 ] && gotcdfile "?pxe*" && mkfloppy $file
   3.186  }
   3.187  
   3.188  gotposixovl()
   3.189  {
   3.190 -	mount.posixovl 2>&1 | grep -qi usage && 
   3.191 +	mount.posixovl 2>&1 | grep -qi usage &&
   3.192  	echo -en "\"$1\"	\"$2\""
   3.193  }
   3.194  
   3.195 @@ -640,7 +620,7 @@
   3.196  
   3.197  fddata()
   3.198  {
   3.199 -	[ -e /sys/block/fd0 ] && 
   3.200 +	[ -e /sys/block/fd0 ] &&
   3.201  	[ $(get 26 /mnt/$ISO 1 2> /dev/null || echo 0) -ne 0 ] &&
   3.202  	echo -en "\"$1\"	\"$2\""
   3.203  }
   3.204 @@ -707,7 +687,7 @@
   3.205  			    ddq bs=1 count=$(($cnt % 512)); } > initrd &&
   3.206  			  ls -l initrd
   3.207  			  break ;;
   3.208 -		*)	  break ;;	  
   3.209 +		*)	  break ;;
   3.210  		esac
   3.211  	done
   3.212  	cd - > /dev/null
   3.213 @@ -747,7 +727,7 @@
   3.214  				  ddq bs=512 count=$((cnt / 512))
   3.215  				  ddq bs=1 count=$((cnt % 512))
   3.216  				  break ;;
   3.217 -			*)	  break ;;	  
   3.218 +			*)	  break ;;
   3.219  			esac
   3.220  		done | md5sum | cut -c1-32)"
   3.221  		[ "$md5" == "$(cat $TMP)" ] && echo "OK" || echo "ERROR"
   3.222 @@ -761,6 +741,7 @@
   3.223  if [ "$1" == "--build" ]; then	#install-begin
   3.224  	cp $0 $0.tmp
   3.225  	uuencode -m - < ifmem.bin | sed -e 's|^[ \t]*||;s|[ \t]*###.*||' \
   3.226 +	  -e 's| *;;|;;|;s|\t\t*|\t|g' \
   3.227  	  -e '/^ifmemcode$/r/dev/stdin' -e '/^ifmemcode$/d' -i $0.tmp
   3.228  	uuencode -m - < bootloader.bin | sed -e '/^bootloader$/r/dev/stdin' \
   3.229  	  -e '/^bootloader$/d' -e '/install-begin$/,/install-end$/d' -i $0.tmp
   3.230 @@ -831,7 +812,7 @@
   3.231  		 $(dirname $file)/$(locase $KERNEL); do
   3.232  		[ -s $i ] && KERNEL=$i && break
   3.233  	done
   3.234 -	rm -f /tmp/var$$ 
   3.235 +	rm -f /tmp/var$$
   3.236  	[ $(get 514 $KERNEL 4) -eq 1400005704 ] || return
   3.237  	n=$(($(get 497 $KERNEL 1)+1))
   3.238  	ddq bs=512 count=$n if=$KERNEL of=/tmp/fd$$
   3.239 @@ -919,13 +900,11 @@
   3.240  fdbootstrap()
   3.241  {
   3.242  	sz=$((512 * $(echo $(get 26 /mnt/$ISO 1))))
   3.243 -	$DIALOG --clear \
   3.244 -		--title " Create a floppy bootstrap " \
   3.245 +	$DIALOG --clear --title " Create a floppy bootstrap " \
   3.246  		--yes-label "Continue" --yesno \
   3.247  "\nThe floppy will install a driver to access the ISO file
   3.248 -on your hard disk and will emulate a CD-ROM during the boot process.\n\n 
   3.249 -Please insert a floppy in drive now.\n 
   3.250 -" 10 70
   3.251 +on your hard disk and will emulate a CD-ROM during the boot process.\n\n
   3.252 +Please insert a floppy in drive now.\n" 10 70
   3.253  	[ $? -eq 0 ] || return
   3.254  	ddq if=/mnt/$ISO of=/tmp/bootiso bs=1 count=512 \
   3.255  		skip=$(( $(get 64 /mnt/$ISO) - $sz ))
   3.256 @@ -946,8 +925,7 @@
   3.257  	grep -qs 1 /sys/block/$DEV/ro && return
   3.258  	[ "$DEV" ] || return
   3.259  	cat > /tmp/dialog <<EOT
   3.260 -$DIALOG  --clear \
   3.261 -	--title " Select your USB key " \
   3.262 +$DIALOG  --clear --title " Select your USB key " \
   3.263  	--menu "\nPlease select the USB key according to its known size.\n\n" \
   3.264  	14 70 4 \
   3.265  	$(for i in $DEV ; do
   3.266 @@ -970,21 +948,19 @@
   3.267  
   3.268  usbbootkey()
   3.269  {
   3.270 -	$DIALOG --clear \
   3.271 -		--title " Create a USB boot key " \
   3.272 +	$DIALOG --clear --title " Create a USB boot key " \
   3.273  		--yes-label "Continue" --yesno \
   3.274  "\nThe USB key will be used like a CD-ROM. You will not be able to write
   3.275  any data on the boot partition.\n\n
   3.276  An extra FAT32 partition will be created with the remaining free space.\n\n
   3.277 -$(tazusbmsg)Please plug your USB stick in now.\n 
   3.278 -" 16 70
   3.279 +$(tazusbmsg)Please plug your USB stick in now.\n" 16 70
   3.280  	[ $? -eq 0 ] || return
   3.281  	usbdev || return
   3.282  	
   3.283  	### perform dd in progress bar
   3.284  	max=$(($(cat /sys/block/loop0/size)/2048))
   3.285 -	i=0; ddq if=/mnt/$ISO bs=1024k | ( 
   3.286 -	while ddq bs=1024k count=1 ; do 
   3.287 +	i=0; ddq if=/mnt/$ISO bs=1024k | (
   3.288 +	while ddq bs=1024k count=1 ; do
   3.289  		i=$(($i + 1))
   3.290  		[ $i -gt $max ] && break
   3.291  		echo $((($i*100)/$max)) | dialog --gauge \
   3.292 @@ -1020,26 +996,23 @@
   3.293  
   3.294  usbkey()
   3.295  {
   3.296 -	$DIALOG --clear \
   3.297 -		--title " Create a SliTaz USB key " \
   3.298 +	$DIALOG --clear --title " Create a SliTaz USB key " \
   3.299  		--yes-label "Continue" --yesno \
   3.300  "\nUnlike a hard drive install, the filesystem is kept in a compressed
   3.301  rootfs.gz. The filesystem is loaded entirely into memory upon boot.
   3.302  This should increase responsiveness, protect the filesystem against
   3.303  accidental corruption and reduce read/writes to the USB drive.
   3.304  Once setup, the tazusb utility can rewrite the root filesystem
   3.305 -with any changes you have made since booting up, 
   3.306 +with any changes you have made since booting up,
   3.307  giving the effective benefits of a hard drive install.\n\n
   3.308  /home is mounted on boot using the UUID of your particular flash drive.
   3.309  Unlike a device name, the UUID has the benefit of never changing from machine
   3.310  to machine.\n\n
   3.311 -Please plug your USB stick in now.\n 
   3.312 -" 19 70
   3.313 +Please plug your USB stick in now.\n" 19 70
   3.314  	[ $? -eq 0 ] || return
   3.315  	usbdev || return
   3.316  	exec 3>&1
   3.317 -	format=`$DIALOG  --clear \
   3.318 -	--title " Select the filesystem " \
   3.319 +	format=`$DIALOG  --clear --title " Select the filesystem " \
   3.320  	--radiolist "\nPlease select the filesystem type to create.\n\n\
   3.321  The filesystem creation will erase all the data \
   3.322  in the USB key." 14 70 4 \
   3.323 @@ -1171,9 +1144,7 @@
   3.324  		echo "=== extra ${i#*list} files"
   3.325  		cat $i
   3.326  	done >> $file
   3.327 -	$DIALOG --clear \
   3.328 -		--title " Flavor info " \
   3.329 -		--textbox $file 24 78
   3.330 +	$DIALOG --clear --title " Flavor info " --textbox $file 24 78
   3.331  	rm -rf /tmp/data
   3.332  }
   3.333  
   3.334 @@ -1189,7 +1160,7 @@
   3.335  
   3.336  shell()
   3.337  {
   3.338 -	trap text 2 
   3.339 +	trap text 2
   3.340  	getty -n -l /bin/ash 38400 tty1 || sh
   3.341  }
   3.342  
   3.343 @@ -1218,12 +1189,11 @@
   3.344  isotitle="$(blkid /mnt/$ISO | sed 's/.*LABEL="\([^"]*\).*/\1/')  $(stat \
   3.345  	 -c %y /media/cdrom | sed 's/ .*//')  $(basename $ISO)"
   3.346  while true; do
   3.347 -	trap shell 2 
   3.348 +	trap shell 2
   3.349  	keymap="$(cat /etc/keymap.conf 2> /dev/null)"
   3.350  	locale="$(sed '/^LANG=/!d;s/.*=//' /etc/locale.conf 2> /dev/null)"
   3.351  	cat > /tmp/dialog <<EOT
   3.352 -$DIALOG  --clear \
   3.353 -	--title " ${isotitle:-Welcome to Linux} " \
   3.354 +$DIALOG  --clear --title " ${isotitle:-Welcome to Linux} " \
   3.355  	--menu "" 23 70 17 \
   3.356  $(xfile tazkeymap	"tazkeymap"	"Select keyboard (${keymap:-none})") \
   3.357  $(xfile tazlocale	"tazlocale"	"Select locale (${locale:-none})") \
     4.1 --- a/syslinux/stuff/iso2exe/init.custom	Wed Feb 13 16:56:43 2019 +0100
     4.2 +++ b/syslinux/stuff/iso2exe/init.custom	Wed Feb 13 16:56:42 2019 +0100
     4.3 @@ -3,7 +3,7 @@
     4.4  if [ "$1" == "loramhack" ]; then
     4.5  	cp $0 $2/init.extra
     4.6  	sed -i 's|^exec |exec /sbin|' $2/init.extra
     4.7 -	cp -a /extra/. $2 
     4.8 +	cp -a /extra/. $2
     4.9  	exit
    4.10  fi
    4.11  if [ -d /etc ]; then
     5.1 --- a/syslinux/stuff/iso2exe/iso2exe.sh	Wed Feb 13 16:56:43 2019 +0100
     5.2 +++ b/syslinux/stuff/iso2exe/iso2exe.sh	Wed Feb 13 16:56:42 2019 +0100
     5.3 @@ -47,7 +47,7 @@
     5.4  add_dosexe()
     5.5  {
     5.6  	TMP=/tmp/bootiso$$
     5.7 -	$0 --get bootiso.bin > $TMP 2> /dev/null 
     5.8 +	$0 --get bootiso.bin > $TMP 2> /dev/null
     5.9  	OFS=$(($(get 20 $TMP) - 0xC0))
    5.10  	printf "Adding DOS/EXE stub at %04X (%d bytes) ...\n" $OFS $((0x7FF0 - $OFS))
    5.11  	ddq if=$TMP bs=1 skip=$OFS of=$1 seek=$OFS conv=notrunc
    5.12 @@ -307,7 +307,7 @@
    5.13  	cp -a /dev/tty /dev/tty0 $TMP/dev
    5.14  	cat init > $TMP/init.exe
    5.15  	find $TMP -type f -print0 | xargs -0 chmod +x
    5.16 -	find $TMP -print0 | xargs -0 touch -t 197001010100.00 
    5.17 +	find $TMP -print0 | xargs -0 touch -t 197001010100.00
    5.18  	( cd $TMP; find dev init.exe | cpio -o -H newc ) | compress rootfs.gz
    5.19  	rm -rf $TMP
    5.20  	ls -l $@ rootfs.gz
    5.21 @@ -611,7 +611,7 @@
    5.22  		if [ $newsz -gt $isosz ]; then
    5.23  			echo "$(($newsz - $isosz)) extra bytes."
    5.24  		else
    5.25 -			echo "$(($isosz - 2048*$(get 32848 $1 4) 
    5.26 +			echo "$(($isosz - 2048*$(get 32848 $1 4)
    5.27  				 - $(stat -c %s $DATA) - 24)) bytes free."
    5.28  		fi
    5.29  		rm -f $DATA > /dev/null
     6.1 --- a/syslinux/stuff/iso2exe/taziso	Wed Feb 13 16:56:43 2019 +0100
     6.2 +++ b/syslinux/stuff/iso2exe/taziso	Wed Feb 13 16:56:42 2019 +0100
     6.3 @@ -309,11 +309,9 @@
     6.4  		DEV="$(blkid | grep -iE "(msdos|vfat|ntfs|ext[234]|xfs|btrfs)" | sed 's/:.*//;s|/dev/||')"
     6.5  		[ "$DEV" ] || return
     6.6  	cat > /tmp/dialog$$ <<EOT
     6.7 -$DIALOG --clear \
     6.8 -	--title " Select your Linux/Windows partition " \
     6.9 +$DIALOG --clear --title " Select your Linux/Windows partition " \
    6.10  	--menu "\nPlease select the Linux/Windows partition according to its known size.
    6.11 -The data will be kept untouched.\n" \
    6.12 -	17 70 8 \
    6.13 +The data will be kept untouched.\n" 17 70 8 \
    6.14  	$(for i in $DEV ; do
    6.15  		label="$(blkid | sed "/$i:/!d;s/.*://;s/[^ ]*UUID=[^ ]* //g;s/LABEL=//")"
    6.16  		echo -n "/dev/$i \"$(($(cat /sys/block/*/$i/size)/2048))MB $label\" "
    6.17 @@ -333,18 +331,14 @@
    6.18  {
    6.19  	packages_list=
    6.20  	packages_dir=
    6.21 -	$DIALOG --clear \
    6.22 -		--title " Extra packages " \
    6.23 +	$DIALOG --clear --title " Extra packages " \
    6.24  		--defaultno --yesno \
    6.25 -"
    6.26 -Do you want to add extra packages ?
    6.27 -" 7 70
    6.28 +"Do you want to add extra packages ?" 7 70
    6.29  	[ $? -eq 0 ] || return
    6.30  	[ -s /var/lib/tazpkg/packages.txt ] || tazpkg recharge
    6.31  	if [ -s $media/boot/vmlinuz-$(uname -r) ]; then
    6.32  		cat > /tmp/dialog$$ <<EOT
    6.33 -$DIALOG --clear \
    6.34 -	--title " Select the packages " \
    6.35 +$DIALOG --clear --title " Select the packages " \
    6.36  	--separate-output \
    6.37  	--cancel-label "Skip" \
    6.38  	--checklist "Please select the packages you want to install. Try with the first letter." \
    6.39 @@ -358,8 +352,7 @@
    6.40  	cat > /tmp/dialog$$ <<EOT
    6.41  $DIALOG --clear \
    6.42  	--title "Please select the directory with every custom package to install." \
    6.43 -	--cancel-label "Skip" \
    6.44 -	--dselect $PWD 13 78
    6.45 +	--cancel-label "Skip" --dselect $PWD 13 78
    6.46  EOT
    6.47  	sh /tmp/dialog$$ 2> /tmp/dialog.out$$
    6.48  	[ $? -eq 0 ] && packages_dir="$(cat /tmp/dialog.out$$)"
    6.49 @@ -369,19 +362,17 @@
    6.50  _install()
    6.51  {
    6.52  	extra_packages
    6.53 -	$DIALOG --clear \
    6.54 -		--title " SliTaz UMSDOS way installation " \
    6.55 +	$DIALOG --clear --title " SliTaz UMSDOS way installation " \
    6.56  		--yes-label "Install" --yesno \
    6.57  "\nSliTaz will be installed in the subdirectory \\slitaz of the current
    6.58  Linux/DOS/Windows partition. You can see your files from /mnt/dos.\n\n
    6.59  You can start SliTaz with \\slitaz\\boot\\tazboot.exe\n\n
    6.60  To uninstall SliTaz, you have only to remove this directory.
    6.61  The file \\boot.ini or \\config.sys may be modified too.\n\n
    6.62 -SliTaz may run slowly on the 'UMSDOS way' installation due to the 
    6.63 +SliTaz may run slowly on the 'UMSDOS way' installation due to the
    6.64  posixovl filesystem. The 'TAZUSB way' installation runs faster.\n\n
    6.65  To do a traditional installation with disk partitioning,
    6.66 -start SliTaz Live with the 'SliTaz RAM boot' menu.\n
    6.67 -" 19 70
    6.68 +start SliTaz Live with the 'SliTaz RAM boot' menu.\n" 19 70
    6.69  	[ $? -eq 0 ] || return
    6.70  	doinstall
    6.71  }
    6.72 @@ -499,8 +490,7 @@
    6.73  
    6.74  _installtaz()
    6.75  {
    6.76 -	$DIALOG --clear \
    6.77 -		--title " SliTaz TAZUSB way installation " \
    6.78 +	$DIALOG --clear --title " SliTaz TAZUSB way installation " \
    6.79  		--yes-label "Install" --yesno \
    6.80  "\nSliTaz will be installed in the subdirectory \\slitaz of the current
    6.81  Linux/DOS/Windows partition. You can see your files from /mnt/dos.\n\n
    6.82 @@ -510,8 +500,7 @@
    6.83  The filesystem is loaded entirely into memory upon boot to
    6.84  increase responsiveness. Only /home lands on the hard disk.\n\n
    6.85  To do a traditional installation with disk partitioning,
    6.86 -start SliTaz Live with the 'SliTaz RAM boot' menu.\n
    6.87 -" 19 70
    6.88 +start SliTaz Live with the 'SliTaz RAM boot' menu.\n" 19 70
    6.89  	[ $? -eq 0 ] || return
    6.90  	doinstall tazusblike
    6.91  }
    6.92 @@ -566,13 +555,12 @@
    6.93  tazboot()
    6.94  {
    6.95  	if [ -z "$1" ]; then
    6.96 -		$DIALOG --clear \
    6.97 -			--title " SliTaz bootloader for DOS " \
    6.98 +		$DIALOG --clear --title " SliTaz bootloader for DOS " \
    6.99  			--yes-label "Install" --yesno \
   6.100  "\nThe file TAZBOOT.EXE will be created in the top directory. It supports
   6.101  any linux kernel, multiple initramfs, a kernel command line and
   6.102  an ISO image file loopback (retrieves files from an ISO file).\n\n
   6.103 -Usage: tazboot.exe [[@commands]|[kernel=<bzimage>] 
   6.104 +Usage: tazboot.exe [[@commands]|[kernel=<bzimage>]
   6.105  [initrd=<rootfs>[,<rootfs2>...]] [bootfrom=<isofile>] cmdline args ...]\n\n
   6.106  Defaults: tazboot @tazboot.cmd or tazboot kernel=bzImage auto\n\n\
   6.107  Examples for tazboot.cmd:\n\n\
   6.108 @@ -581,8 +569,7 @@
   6.109    initrd=boot/rootfs4.gz,boot/rootfs3.gz,boot/rootfs2.gz,boot/rootfs1.gz\n\
   6.110    rw root=/dev/null autologin\n\n\
   6.111    kernel=\\slitaz\\vmlinuz root=/dev/sda5 ro\n\n
   6.112 -Unlike GRUB4DOS, it doesn't require unfragmented ISO image files.\n
   6.113 -" 0 0
   6.114 +Unlike GRUB4DOS, it doesn't require unfragmented ISO image files.\n" 0 0
   6.115  		[ $? -eq 0 ] || return
   6.116  	fi
   6.117  	gettazboot tazboot.exe
   6.118 @@ -598,8 +585,7 @@
   6.119  	if [ "$1" ]; then
   6.120  		cat /tmp/data
   6.121  	else
   6.122 -		$DIALOG --clear \
   6.123 -			--title " Checked files " \
   6.124 +		$DIALOG --clear --title " Checked files " \
   6.125  			--textbox /tmp/data 0 0
   6.126  	fi
   6.127  	rm -f /tmp/data
   6.128 @@ -627,23 +613,19 @@
   6.129  	if [ "$1" ]; then
   6.130  		cat $file
   6.131  	else
   6.132 -		$DIALOG --clear \
   6.133 -			--title " Readme " \
   6.134 -			--textbox $file 0 0
   6.135 +		$DIALOG --clear --title " Readme " --textbox $file 0 0
   6.136  	fi
   6.137  }
   6.138  
   6.139  bzimage()
   6.140  {
   6.141  	if [ -z "$1" ]; then
   6.142 -		$DIALOG --clear \
   6.143 -			--title " Create linux.exe ? " \
   6.144 +		$DIALOG --clear --title " Create linux.exe ? " \
   6.145  			--yes-label "Install" --yesno \
   6.146  "\nLinux.exe launches the linux kernel under DOS (in real mode only).
   6.147  The cmdline arguments are supported except initrd=,
   6.148  vga= (you can try 'rdev -v') and mem= (partially).
   6.149 -\nExample:\nC:\\> linux.exe root=/dev/hda2 ro panic=60\n
   6.150 -" 12 70
   6.151 +\nExample:\nC:\\> linux.exe root=/dev/hda2 ro panic=60\n" 12 70
   6.152  		[ $? -eq 0 ] || return
   6.153  	fi
   6.154  	cp $media/boot/bzImage linux.exe
   6.155 @@ -653,13 +635,11 @@
   6.156  memtest()
   6.157  {
   6.158  	if [ -z "$1" ]; then
   6.159 -		$DIALOG --clear \
   6.160 -			--title " Create memtest.exe ? " \
   6.161 +		$DIALOG --clear --title " Create memtest.exe ? " \
   6.162  			--yes-label "Install" --yesno \
   6.163  "\nMemtest86 is a thorough, stand alone memory test for x86 architecture
   6.164  computers. BIOS based memory tests are a quick, cursory check and often
   6.165 -miss many of the failures that are detected by Memtest86.\n
   6.166 -" 0 0
   6.167 +miss many of the failures that are detected by Memtest86.\n" 0 0
   6.168  		[ $? -eq 0 ] || return
   6.169  	fi
   6.170  	gotcdfile 'memtest*' && cp $file memtest.exe
   6.171 @@ -701,14 +681,12 @@
   6.172  fdmemtest()
   6.173  {
   6.174  	if [ -z "$1" ]; then
   6.175 -		$DIALOG --clear \
   6.176 -			--title " Create a Memtest86 boot floppy " \
   6.177 +		$DIALOG --clear --title " Create a Memtest86 boot floppy " \
   6.178  			--yes-label "Create floppy" --yesno \
   6.179  "\nMemtest86 is a thorough, stand alone memory test for x86 architecture
   6.180  computers. BIOS based memory tests are a quick, cursory check and often
   6.181  miss many of the failures that are detected by Memtest86.\n\n
   6.182 -Please insert a blank disk in floppy drive.\n
   6.183 -" 0 0
   6.184 +Please insert a blank disk in floppy drive.\n" 0 0
   6.185  		[ $? -eq 0 ] || return
   6.186  	fi
   6.187  	gotcdfile 'memtest*' && mkfloppy $file
   6.188 @@ -718,14 +696,12 @@
   6.189  {
   6.190  	gotcdfile '?pxe*'
   6.191  	if [ -z "$1" ]; then
   6.192 -		$DIALOG --clear \
   6.193 -			--title " Create $(basename $file).exe ? " \
   6.194 +		$DIALOG --clear --title " Create $(basename $file).exe ? " \
   6.195  			--yes-label "Install" --yesno \
   6.196  "\nBoot your operating system from the internet and enjoy a full system
   6.197  working entirely in RAM with speed and stability in mind. The Linux Kernel
   6.198  and the complete SliTaz compressed root filesystem will be loaded into RAM
   6.199 -from the Web using PXE and HTTP protocols.\n
   6.200 -" 0 0
   6.201 +from the Web using PXE and HTTP protocols.\n" 0 0
   6.202  		[ $? -eq 0 ] || return
   6.203  	fi
   6.204  	cp $file $(basename $file).exe
   6.205 @@ -735,15 +711,13 @@
   6.206  fdpxe()
   6.207  {
   6.208  	if [ -z "$1" ]; then
   6.209 -		$DIALOG --clear \
   6.210 -			--title " Create a SliTaz Web boot floppy " \
   6.211 +		$DIALOG --clear --title " Create a SliTaz Web boot floppy " \
   6.212  			--yes-label "Create floppy" --yesno \
   6.213  "\nBoot your operating system from the internet and enjoy a full system
   6.214  working entirely in RAM with speed and stability in mind. The Linux Kernel
   6.215  and the complete SliTaz compressed root filesystem will be loaded into RAM
   6.216  from the Web using PXE and HTTP protocols.\n\n
   6.217 -Please insert a blank disk in floppy drive.\n
   6.218 -" 0 0
   6.219 +Please insert a blank disk in floppy drive.\n" 0 0
   6.220  		[ $? -eq 0 ] || return
   6.221  	fi
   6.222  	gotcdfile '?pxe*' && mkfloppy $file
   6.223 @@ -901,7 +875,7 @@
   6.224  			    ddq bs=1 count=$(($cnt % 512)); } > initrd &&
   6.225  			  ls -l $PWD/initrd
   6.226  			  break ;;
   6.227 -		*)	  break ;;	  
   6.228 +		*)	  break ;;
   6.229  		esac
   6.230  	done
   6.231  	[ "$1" ] && return 0
   6.232 @@ -935,7 +909,7 @@
   6.233  				  ddq bs=512 count=$((cnt / 512))
   6.234  				  ddq bs=1 count=$((cnt % 512))
   6.235  				  break ;;
   6.236 -			*)	  break ;;	  
   6.237 +			*)	  break ;;
   6.238  			esac
   6.239  		done | md5sum | cut -c1-32)"
   6.240  		[ "$md5" == "$(cat $TMP)" ] && echo "OK" || echo "ERROR"
   6.241 @@ -957,8 +931,7 @@
   6.242  	grep -qs 1 /sys/block/$DEV/ro && return
   6.243  	[ "$DEV" ] || return
   6.244  	cat > /tmp/dialog$$ <<EOT
   6.245 -$DIALOG  --clear \
   6.246 -	--title " Select your USB key " \
   6.247 +$DIALOG  --clear --title " Select your USB key " \
   6.248  	--menu "\nPlease select the USB key according to its known size.\n\n" \
   6.249  	0 0 0 \
   6.250  	$(for i in $DEV ; do
   6.251 @@ -988,23 +961,21 @@
   6.252  		device=$1
   6.253  	elif [ "$1" ]; then
   6.254  		echo "Invalid USB key device"
   6.255 -		return 1 
   6.256 +		return 1
   6.257  	else
   6.258 -		$DIALOG --clear \
   6.259 -			--title " Create a USB boot key " \
   6.260 +		$DIALOG --clear --title " Create a USB boot key " \
   6.261  			--yes-label "Continue" --yesno \
   6.262  "\nThe USB key will be used like a CD-ROM. You will not be able to write
   6.263  any data on the boot partition.\n\n
   6.264  An extra FAT32 partition will be created with the remaining free space.\n\n
   6.265 -$(tazusbmsg)Please plug your USB stick in now.\n 
   6.266 -" 16 70
   6.267 +$(tazusbmsg)Please plug your USB stick in now.\n" 16 70
   6.268  		[ $? -eq 0 ] || return
   6.269  		usbdev || return
   6.270  	
   6.271  		# perform dd in progress bar
   6.272  		max=$(($(stat -c %s "$ISO")/2048))
   6.273 -		i=0; ddq if="$ISO" bs=1024k | ( 
   6.274 -		while ddq bs=1024k count=1 ; do 
   6.275 +		i=0; ddq if="$ISO" bs=1024k | (
   6.276 +		while ddq bs=1024k count=1 ; do
   6.277  			i=$(($i + 1))
   6.278  			[ $i -gt $max ] && break
   6.279  			echo $((($i*100)/$max)) | dialog --gauge \
   6.280 @@ -1041,29 +1012,26 @@
   6.281  
   6.282  usbkey()
   6.283  {
   6.284 -	$DIALOG --clear \
   6.285 -		--title " Create a SliTaz USB key " \
   6.286 +	$DIALOG --clear --title " Create a SliTaz USB key " \
   6.287  		--yes-label "Continue" --yesno \
   6.288  "\nUnlike a hard drive install, the filesystem is kept in a compressed
   6.289  rootfs.gz. The filesystem is loaded entirely into memory upon boot.
   6.290  This should increase responsiveness, protect the filesystem against
   6.291  accidental corruption and reduce read/writes to the USB drive.
   6.292  Once setup, the tazusb utility can rewrite the root filesystem
   6.293 -with any changes you have made since booting up, 
   6.294 +with any changes you have made since booting up,
   6.295  giving the effective benefits of a hard drive install.\n\n
   6.296  /home is mounted on boot using the UUID of your particular flash drive.
   6.297  Unlike a device name, the UUID has the benefit of never changing from machine
   6.298  to machine.\n\n
   6.299 -Please plug your USB stick in now.\n 
   6.300 -" 19 70
   6.301 +Please plug your USB stick in now.\n" 19 70
   6.302  	[ $? -eq 0 ] || return
   6.303  	usbdev || return
   6.304  	exec 3>&1
   6.305  	format=`$DIALOG  --clear \
   6.306  	--title " Select the filesystem " \
   6.307  	--radiolist "\nPlease select the filesystem type to create.\n\n\
   6.308 -The filesystem creation will erase all the data \
   6.309 -in the USB key." 14 70 4 \
   6.310 +The filesystem creation will erase all the data in the USB key." 14 70 4 \
   6.311  		"none"	"Do not erase the USB key" on \
   6.312  		"ext3"	"Ext3 journaling filesystem" off \
   6.313  		"ext2"	"Ext2 filesystem" off \
   6.314 @@ -1123,8 +1091,7 @@
   6.315  	if [ "$1" ]; then
   6.316  		cat $file
   6.317  	else
   6.318 -		$DIALOG --clear \
   6.319 -			--title " Flavor info " \
   6.320 +		$DIALOG --clear --title " Flavor info " \
   6.321  			--textbox $file 0 0
   6.322  	fi
   6.323  	rm -rf /tmp/data
   6.324 @@ -1216,7 +1183,7 @@
   6.325  		i="$(ls $i* | sed q)"
   6.326  		[ -n "$i" ] && KERNEL=$i && break
   6.327  	done
   6.328 -	rm -f /tmp/var$$ 
   6.329 +	rm -f /tmp/var$$
   6.330  	[ $(get 514 $KERNEL 4) -eq 1400005704 ] || return
   6.331  	n=$(($(get 497 $KERNEL 1)+1))
   6.332  	ddq bs=512 count=$n if=$KERNEL of=/tmp/fd$$
   6.333 @@ -1332,8 +1299,7 @@
   6.334  	if [ "$1" ]; then
   6.335  		cat /tmp/isoinfo$$
   6.336  	else
   6.337 -		$DIALOG --clear \
   6.338 -			--title " Info ISO " \
   6.339 +		$DIALOG --clear --title " Info ISO " \
   6.340  			--textbox /tmp/isoinfo$$ 0 0
   6.341  	fi
   6.342  	rm -f /tmp/isoinfo$$
   6.343 @@ -1379,9 +1345,7 @@
   6.344  
   6.345  while true; do
   6.346  	cat > /tmp/dialog$$ <<EOT
   6.347 -$DIALOG  --clear \
   6.348 -	--title " $(isotitle) " \
   6.349 -	--menu "" -2 70 0 \
   6.350 +$DIALOG  --clear --title " $(isotitle) " --menu "" -2 70 0 \
   6.351  $(cdfile 'README*'	"readme"	"Show the README file") \
   6.352  $(gotcustomconf		"getcustomconf"	"Get custom config") \
   6.353  $(gotisomd5		"isomd5"	"Check the ISO image") \